Last Comment Bug 414918 - AMO integration for SeaMonkey
: AMO integration for SeaMonkey
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Dave Townsend [:mossop]
:
Mentors:
Depends on: 404024
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 11:57 PST by Frank Wein [:mcsmurf]
Modified: 2008-05-15 02:56 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch rev 1 (4.25 KB, patch)
2008-05-14 07:12 PDT, Dave Townsend [:mossop]
neil: review+
neil: superreview+
Details | Diff | Review

Description Frank Wein [:mcsmurf] 2008-01-30 11:57:32 PST
+++ This bug was initially created as a clone of Bug #414674 +++

Set up the AMO integration pane in the Add-ons manager from bug 404024 in SeaMonkey. Also see Bug 414674 for more infos.
Comment 1 Robert Kaiser (not working on stability any more) 2008-01-31 03:46:15 PST
IIRC, Mossop said he might look into adding it for all of SeaMonkey, Thunderbird and Sunbird once he has fulfilled the FF deadlines. Given the long tail of followups on the original bug, I guess he's happy about help, though (if we can afford it - we are busy with lots of stuff as well).
Comment 2 Dave Townsend [:mossop] 2008-01-31 09:43:35 PST
I can certainly take this some time next week after the b3 freeze deadline. Otherwise it should only be adding the preferences that were added to firefox and packaging the nsAMORepository.js file
Comment 3 Robert Kaiser (not working on stability any more) 2008-05-13 07:50:14 PDT
Is someone looking into this? It should be easy to do, I guess, just needs someone to do a patch like the one in bug 414674...
Comment 4 Dave Townsend [:mossop] 2008-05-13 08:05:49 PDT
Sorry, time got away from me and this vanished from my radar. I can knock this together tomorrow I think.
Comment 5 Dave Townsend [:mossop] 2008-05-14 07:12:20 PDT
Created attachment 320902 [details] [diff] [review]
patch rev 1

This seems to do the job. I'm not all the well up on the Seamonkey review requirements so please pass on to someone more appropriate if I've got it wrong.
Comment 6 Robert Kaiser (not working on stability any more) 2008-05-14 07:52:13 PDT
Comment on attachment 320902 [details] [diff] [review]
patch rev 1

>Index: suite/browser/browser-prefs.js
>===================================================================
>+pref("extensions.getAddons.browseAddons", "https://%LOCALE%.add-ons.mozilla.com/%LOCALE%/%APP%");
>+pref("extensions.getAddons.recommended.browseURL", "https://%LOCALE%.add-ons.mozilla.com/%LOCALE%/%APP%/recommended");
>+pref("extensions.getAddons.search.browseURL", "https://%LOCALE%.add-ons.mozilla.com/%LOCALE%/%APP%/search?q=%TERMS%");

Nit: Please use add-ons.mozilla.org instead of .com for us in those prefs, it redirects to the same target anyway, but it would be good to keep mozilla.com URLs to MoCo-specific stuff only as far as possible.
Comment 7 Dave Townsend [:mossop] 2008-05-15 02:56:28 PDT
Landed, fixed those URL nits on checkin.

Checking in browser/browser-prefs.js;
/cvsroot/mozilla/suite/browser/browser-prefs.js,v  <--  browser-prefs.js
new revision: 1.94; previous revision: 1.93
done
Checking in installer/unix/packages;
/cvsroot/mozilla/suite/installer/unix/packages,v  <--  packages
new revision: 1.16; previous revision: 1.15
done
Checking in installer/windows/packages;
/cvsroot/mozilla/suite/installer/windows/packages,v  <--  packages
new revision: 1.56; previous revision: 1.55
done

Note You need to log in before you can comment on or make changes to this bug.